Hooks:PostHook( WeaponFactoryTweakData, "init", "BayonetmodInit", function(self)

self.parts.wpn_fps_upg_ass_ak_b_zastava.override = self.parts.wpn_fps_upg_ass_ak_b_zastava.override or {}
self.parts.wpn_fps_upg_ass_ak_b_zastava.override.wpn_fps_upg_akm_bayonet = {a_obj="a_bayonet_long"}

self.parts.wpn_fps_snp_mosin_ns_bayonet.stats.min_damage = 40
self.parts.wpn_fps_snp_mosin_ns_bayonet.stats.max_damage = 40

self.parts.wpn_fps_upg_ns_pis_meatgrinder.perks = {
			"bayonet"
		}
self.parts.wpn_fps_upg_ns_pis_meatgrinder.stats.min_damage = 25
self.parts.wpn_fps_upg_ns_pis_meatgrinder.stats.max_damage = 25
self.parts.wpn_fps_upg_ns_pis_meatgrinder.stats.range = 100
self.parts.wpn_fps_upg_ns_pis_meatgrinder.stats.bluntsound = true
self.parts.wpn_fps_upg_ns_pis_meatgrinder.has_description = true

self.parts.wpn_fps_upg_ns_shot_shark.perks = {
			"bayonet"
		}
self.parts.wpn_fps_upg_ns_shot_shark.stats.min_damage = 20
self.parts.wpn_fps_upg_ns_shot_shark.stats.max_damage = 20
self.parts.wpn_fps_upg_ns_shot_shark.stats.bluntsound = true
self.parts.wpn_fps_upg_ns_shot_shark.has_description = true

self.parts.wpn_fps_upg_shot_ns_king.perks = {
			"bayonet"
		}
self.parts.wpn_fps_upg_shot_ns_king.stats.min_damage = 15
self.parts.wpn_fps_upg_shot_ns_king.stats.max_damage = 15
self.parts.wpn_fps_upg_shot_ns_king.stats.bluntsound = true
self.parts.wpn_fps_upg_shot_ns_king.has_description = true

self.parts.wpn_fps_sho_boot_fg_legendary.perks = {
			"bayonet"
		}
self.parts.wpn_fps_sho_boot_fg_legendary.stats.min_damage = 40
self.parts.wpn_fps_sho_boot_fg_legendary.stats.max_damage = 40

self.parts.wpn_fps_smg_p90_b_legend.perks = {
			"bayonet"
		}
self.parts.wpn_fps_smg_p90_b_legend.stats.min_damage = 15
self.parts.wpn_fps_smg_p90_b_legend.stats.max_damage = 15

self.wpn_fps_snp_siltstone.override = self.wpn_fps_snp_siltstone.override or {}
self.wpn_fps_snp_siltstone.override.wpn_fps_upg_akm_bayonet = {unit="units/mods/weapons/wpn_fps_upg_ak_reusable/wpn_fps_upg_akm_bayonet_svd"}

-- For some reason stat overrides don't work :/
--self.parts.wpn_fps_snp_siltstone_b_standard.override = self.parts.wpn_fps_snp_siltstone_b_standard.override or {}
--self.parts.wpn_fps_snp_siltstone_b_standard.override.wpn_fps_upg_akm_bayonet = {stats=deep_clone(self.parts.wpn_fps_upg_akm_bayonet.stats)}
--self.parts.wpn_fps_snp_siltstone_b_standard.override.wpn_fps_upg_akm_bayonet.stats.range = 150

--self.parts.wpn_fps_snp_siltstone_ns_variation_b.override = self.parts.wpn_fps_snp_siltstone_ns_variation_b.override or {}
--self.parts.wpn_fps_snp_siltstone_ns_variation_b.override.wpn_fps_upg_akm_bayonet = {stats=deep_clone(self.parts.wpn_fps_upg_akm_bayonet.stats)}
--self.parts.wpn_fps_snp_siltstone_ns_variation_b.override.wpn_fps_upg_akm_bayonet.stats.range = 150

-- VSMP
if self.parts.wpn_fps_snp_siltstone_b_short then
	self.parts.wpn_fps_snp_siltstone_b_short.override = self.parts.wpn_fps_snp_siltstone_b_short.override or {}
	self.parts.wpn_fps_snp_siltstone_b_short.override.wpn_fps_upg_akm_bayonet = {a_obj="a_bayonet_short"}
end
-- EAC+
if self.parts.wpn_fps_upg_rpk_b_zastava then
	table.insert(self.wpn_fps_lmg_rpk.uses_parts, "wpn_fps_upg_akm_bayonet")
	self.parts.wpn_fps_lmg_rpk_b_standard.forbids = self.parts.wpn_fps_lmg_rpk_b_standard.forbids or {}
	table.insert(self.parts.wpn_fps_lmg_rpk_b_standard.forbids, "wpn_fps_upg_akm_bayonet")
	self.parts.wpn_fps_upg_rpk_b_ak105.forbids = self.parts.wpn_fps_upg_rpk_b_ak105.forbids or {}
	table.insert(self.parts.wpn_fps_upg_rpk_b_ak105.forbids, "wpn_fps_upg_akm_bayonet")
end
--AK Pack
if self.parts.wpn_fps_ass_heffy_762_fh_tank then
	table.insert(self.parts.wpn_fps_upg_akm_bayonet.forbids, "wpn_fps_ass_heffy_762_fh_tank")
	table.insert(self.parts.wpn_fps_upg_akm_bayonet.forbids, "wpn_fps_ass_heffy_762_fh_fun")
	table.insert(self.parts.wpn_fps_upg_akm_bayonet.forbids, "wpn_fps_ass_heffy_545_fh_tank")
	table.insert(self.parts.wpn_fps_upg_akm_bayonet.forbids, "wpn_fps_ass_heffy_545_fh_fun")
end

end )

Hooks:PostHook(WeaponFactoryTweakData, "create_bonuses", "Bayonetmod_Bonus", function(self)
for _, part_id in pairs(self.wpn_fps_ass_akm.uses_parts) do
	if self.parts[part_id].type == "barrel_ext" then
		table.insert(self.parts.wpn_fps_upg_akm_bayonet.forbids, part_id)
	end
end
end )